package com.maintain.business.service;

import com.maintain.business.domain.ErpMaterialPickingInfo;
import com.maintain.business.domain.vo.ErpMaterialPickingInfoVo;
import com.maintain.business.domain.bo.ErpMaterialPickingInfoBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 物料出库明细Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpMaterialPickingInfoService {

    /**
     * 查询物料出库明细
     */
    ErpMaterialPickingInfoVo queryById(Long id);

    /**
     * 查询物料出库明细列表
     */
    TableDataInfo<ErpMaterialPickingInfoVo> customQueryPageList(ErpMaterialPickingInfoBo bo, PageQuery pageQuery);

    /**
     * 查询物料出库明细列表
     */
    List<ErpMaterialPickingInfoVo> customQueryList(ErpMaterialPickingInfoBo bo);

    /**
     * 新增物料出库明细
     */
    Boolean insertByBo(ErpMaterialPickingInfoBo bo);

    /**
     * 修改物料出库明细
     */
    Boolean updateByBo(ErpMaterialPickingInfoBo bo);

    /**
     * 校验并批量删除物料出库明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
